@import '../mixins';
@import '../variables';


%line {
  content: '';
  background-color: $white;
  width: 45%;
  height: 2px;
}

.nav {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  background-color: $secondary;
  width: 100%;

  @include xs {
    height: 37px;
  }

  @include s {
    height: 74px;
  }

  @include m {
    height: 97px;
  }

  @include l {
    height: 97px;
  }


  &__title {
    color: $white;
    text-decoration: none;
    font-family: $main-font;

    @include xs {
      font-size: 12px;
      padding: 12px 19px;
    }

    @include s {
      font-size: 24px;
      padding: 25px 38px;
    }

    @include m {
      display: none;
    }

    @include l {
      display: none;
    }

  }

  &__menu {
    display: flex;
    flex-direction: row;

    @include xs {
      display: none;
      width: 182px;
      flex-direction: column;
      position: absolute;
      background-color: $white;
      top: 37px;
      right: 0;
      z-index: 1000;
    }

    @include s {
      display: none;
      width: 243px;
      flex-direction: column;
      position: absolute;
      background-color: $white;
      top: 74px;
      right: 0;
      z-index: 1000;
    }

    @include m {
      margin-left: 15px;
    }

    @include l {
      margin-left: 15px;
    }
  }

  &__link {


    @include xs {
      color: $grey;
      text-decoration: none;
      font-family: $main-font;
      background-color: #fafafa;
      border-top: 1px solid #f7f7f7;
      border-bottom: 1px solid #f7f7f7;
      border-collapse: collapse;
      font-size: 12px;
      line-height: 12px;
      padding: 10px 14px;
    }

    @include s {
      font-size: 14px;
      line-height: 14px;
      padding: 21px 27px;
      color: $grey;
      text-decoration: none;
      font-family: $main-font;
      background-color: #fafafa;
      border-top: 1px solid #f7f7f7;
      border-bottom: 1px solid #f7f7f7;
      border-collapse: collapse;
    }

    @include m {
      display: flex;
      flex-direction: column;
      justify-content: center;
      text-align: center;
      color: #d3d4d4;
      text-decoration: none;
      font-family: $main-font;
      font-size: 15px;
      text-transform: uppercase;
      padding: 43px 15px;
    }

    @include l {
      display: flex;
      flex-direction: column;
      justify-content: center;
      text-align: center;
      color: #d3d4d4;
      text-decoration: none;
      font-family: $main-font;
      font-size: 15px;
      text-transform: uppercase;
      padding: 43px 15px;
    }

    &:hover, &:active {

      @include xs {
        background-color: #f5f5f5;
      }

      @include s {
        background-color: #f5f5f5;
      }
    }
  }

  &__button {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    @include xs {
      width: 41px;
      height: 37px;
      background-color: #202529;
    }

    @include s {
      width: 83px;
      height: 74px;
      background-color: #202529;
    }

    @include m {
      display: none;
    }

    @include l {
      display: none;
    }
  }

  &__lines {
    @extend %line;

    &::before {
      position: absolute;
      @extend %line;
    }

    &::after {
      position: absolute;
      @extend %line;
    }

    &--hamburger {
      &::before {
        pointer-events: all;
        top: 35%;
      }

      &::after {
        pointer-events: all;
        bottom: calc(35% - 2px/2);
      }
    }

    &--cross {
      background-color: transparent;

      &::before {
        transform: rotate(45deg);
      }

      &::after {
        transform: rotate(-45deg);
      }
    }
  }

  &__logo {
    background-image: url("../img/logo/navigation-logo@1X.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
    height: 83px;
    width: 104px;
    margin: 7px 30px 7px 0;

    @include xs {
      display: none;
    }

    @include s {
      display: none;
    }

  }

}
